org.wildfly.swarm.microprofile.openapi.api.models.headers

## Class HeaderImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.headers.HeaderImpl

- All Implemented Interfaces:
    ModelImpl

      public class HeaderImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Header` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeaderImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Header` | `addExample(String key, Example example)`
    `Header` | `allowEmptyValue(Boolean allowEmptyValue)`
    `Header` | `content(Content content)`
    `Header` | `deprecated(Boolean deprecated)`
    `Header` | `description(String description)`
    `Header` | `example(Object example)`
    `Header` | `examples(Map<String,Example> examples)`
    `Header` | `explode(Boolean explode)`
    `Boolean` | `getAllowEmptyValue()`
    `Content` | `getContent()`
    `Boolean` | `getDeprecated()`
    `String` | `getDescription()`
    `Object` | `getExample()`
    `Map<String,Example>` | `getExamples()`
    `Boolean` | `getExplode()`
    `String` | `getRef()`
    `Boolean` | `getRequired()`
    `Schema` | `getSchema()`
    `Style` | `getStyle()`
    `Header` | `ref(String ref)`
    `Header` | `required(Boolean required)`
    `Header` | `schema(Schema schema)`
    `void` | `setAllowEmptyValue(Boolean allowEmptyValue)`
    `void` | `setContent(Content content)`
    `void` | `setDeprecated(Boolean deprecated)`
    `void` | `setDescription(String description)`
    `void` | `setExample(Object example)`
    `void` | `setExamples(Map<String,Example> examples)`
    `void` | `setExplode(Boolean explode)`
    `void` | `setRef(String ref)`
    `void` | `setRequired(Boolean required)`
    `void` | `setSchema(Schema schema)`
    `void` | `setStyle(Style style)`
    `Header` | `style(Style style)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderImpl

          public HeaderImpl()

  - ### Method Detail

    - #### getRef

          public String getRef()

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#getRef()`

    - #### setRef

          public void setRef(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#setRef(java.lang.String)`

    - #### ref

          public Header ref(String ref)

      See Also:
        `org.eclipse.microprofile.openapi.models.Reference#ref(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setDescription(java.lang.String)`

    - #### description

          public Header description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#description(java.lang.String)`

    - #### getRequired

          public Boolean getRequired()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getRequired()`

    - #### setRequired

          public void setRequired(Boolean required)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setRequired(java.lang.Boolean)`

    - #### required

          public Header required(Boolean required)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#required(java.lang.Boolean)`

    - #### getDeprecated

          public Boolean getDeprecated()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getDeprecated()`

    - #### setDeprecated

          public void setDeprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setDeprecated(java.lang.Boolean)`

    - #### deprecated

          public Header deprecated(Boolean deprecated)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#deprecated(java.lang.Boolean)`

    - #### getAllowEmptyValue

          public Boolean getAllowEmptyValue()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getAllowEmptyValue()`

    - #### setAllowEmptyValue

          public void setAllowEmptyValue(Boolean allowEmptyValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setAllowEmptyValue(java.lang.Boolean)`

    - #### allowEmptyValue

          public Header allowEmptyValue(Boolean allowEmptyValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#allowEmptyValue(java.lang.Boolean)`

    - #### getStyle

          public Style getStyle()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getStyle()`

    - #### setStyle

          public void setStyle(Style style)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setStyle(org.eclipse.microprofile.openapi.models.headers.Header.Style)`

    - #### style

          public Header style(Style style)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#style(org.eclipse.microprofile.openapi.models.headers.Header.Style)`

    - #### getExplode

          public Boolean getExplode()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getExplode()`

    - #### setExplode

          public void setExplode(Boolean explode)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setExplode(java.lang.Boolean)`

    - #### explode

          public Header explode(Boolean explode)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#explode(java.lang.Boolean)`

    - #### getSchema

          public Schema getSchema()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getSchema()`

    - #### setSchema

          public void setSchema(Schema schema)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setSchema(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### schema

          public Header schema(Schema schema)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#schema(org.eclipse.microprofile.openapi.models.media.Schema)`

    - #### getExamples

          public Map<String,Example> getExamples()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getExamples()`

    - #### setExamples

          public void setExamples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setExamples(java.util.Map)`

    - #### examples

          public Header examples(Map<String,Example> examples)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#examples(java.util.Map)`

    - #### addExample

          public Header addExample(String key,
                                   Example example)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#addExample(java.lang.String, org.eclipse.microprofile.openapi.models.examples.Example)`

    - #### getExample

          public Object getExample()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getExample()`

    - #### setExample

          public void setExample(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setExample(java.lang.Object)`

    - #### example

          public Header example(Object example)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#example(java.lang.Object)`

    - #### getContent

          public Content getContent()

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#getContent()`

    - #### setContent

          public void setContent(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#setContent(org.eclipse.microprofile.openapi.models.media.Content)`

    - #### content

          public Header content(Content content)

      See Also:
        `org.eclipse.microprofile.openapi.models.headers.Header#content(org.eclipse.microprofile.openapi.models.media.Content)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.